Package Details: clipgrab 3.6.5-2

Git Clone URL: https://aur.archlinux.org/clipgrab.git (read-only)
Package Base: clipgrab
Description: A video downloader and converter for YouTube, Veoh, DailyMotion, MyVideo, ...
Upstream URL: http://clipgrab.org
Licenses: GPL3
Submitter: arojas
Maintainer: kikadf
Last Packager: kikadf
Votes: 5
Popularity: 1.250732
First Submitted: 2017-02-09 07:52
Last Updated: 2017-05-17 14:40

Latest Comments

oberon2007 commented on 2017-05-19 18:36

Yes, thank you very much. Fixed. :)

hcjl commented on 2017-05-17 16:48

Works beautifully. Thanks a lot.

kikadf commented on 2017-05-17 14:43

JethroTux, hcjl, oberon2007: try now, I forgot replace qmake to qmake-qt4, in build part.

JethroTux commented on 2017-05-17 10:59

Got this error while building for latest upgrade:

Project ERROR: Unknown module(s) in QT: webkit

What's wrong?

hcjl commented on 2017-05-17 10:33

Sorry for the last comment, wich I deleted. It was crap;-)
I receive the same error message as oberon2007 even with your latest PKGBUILD.
Thx

kikadf commented on 2017-05-17 08:22

oberon2007: sorry, I tested the compiling with qt5-webkit* (not works), but I forgot revert the dependency changes. Fixed now.

oberon2007 commented on 2017-05-16 23:24

Build of latest update fails with:

main.cpp:24:30: fatal error: QtGui/QApplication: No such file or directory
#include <QtGui/QApplication>
compilation terminated.
make: *** [Makefile:938: main.o] Error 1
make: *** Waiting for unfinished jobs....
In file included from clipgrab.h:33:0,
from clipgrab.cpp:24:
video_youtube.h:28:20: fatal error: QtWebKit: No such file or directory
#include "QtWebKit"
compilation terminated.
make: *** [Makefile:908: clipgrab.o] Error 1

kikadf commented on 2017-02-27 10:25

Raimar: thx your work, I made a new aur package based your fork: https://aur.archlinux.org/packages/clipgrab-qt5/
Works for me fine, I use that ;)

I keep this for the original clipgrab.

Raimar commented on 2017-02-26 15:51

As a suggestion:
source=(
$pkgname::git+https://github.com/OpenHelios/clipgrab-qt5.git
$pkgname.desktop
)
sha256sums=('SKIP'
'840910097d8c129ea12c395c4a33f562591e878e521c98fde8a7b3f9403aa23f')
pkgver() {
# remove ".r*.*" from package version
_pkgverTriple=$(echo $pkgver | sed "s/\.r.*//g")
cd $pkgname
# get number of last git commit
_commitCount=$(git rev-list --count HEAD)
# get time of last git commit
_commitTime=$(git show -s --format="%ci" | grep -o "....-..-.." | sed "s/-//g")
# add ".r*.*" from package version
echo "$_pkgverTriple.r$_commitCount.$_commitTime"
}
build() {
cd $pkgname
qmake-qt5 clipgrab.pro
make
}
package() {
cd $pkgname
install -Dm755 $pkgname "$pkgdir/usr/bin/$pkgname"
install -Dm644 icon.png "$pkgdir/usr/share/pixmaps/$pkgname.png"
install -Dm644 "$srcdir/$_pkgname.desktop" "$pkgdir/usr/share/applications/$pkgname.desktop"
}

Raimar commented on 2017-02-26 15:48

Now there is a port for Qt5: https://github.com/OpenHelios/clipgrab-qt5

depends=(qt5-webkit)

shivik commented on 2017-02-20 18:23

Disregard.
Not working.
You are right I didn't remove it.
I was too excited that I don't have to recompile qtwebkit again.

kikadf commented on 2017-02-20 18:16

shivik: did you remove qtwebkit before recompiled clipgrab?

shivik commented on 2017-02-20 18:07

For anyone interested:
I just recompiled clipgrab successfully using qt5-webkit instead of qtwebkit.
Just replace it in the "depends" section,rebuild and it works.

Reason is since qtwebkit dropped to AUR and rebuilding it from source takes so much time when it gets updated.

alfredo.ardito commented on 2017-02-13 12:54

okay, Working now after last commit. thx

alfredo.ardito commented on 2017-02-12 15:44

Error installing clipgrab:
--------------------------
In file included from clipgrab.h:33:0,
from clipgrab.cpp:24:
video_youtube.h:31:29: fatal error: ui_login_dialog.h: No such file or directory
#include "ui_login_dialog.h"
^
compilation terminated.
make: *** [Makefile:881: clipgrab.o] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build clipgrab.
==> Restart building clipgrab ? [y/N]
==> ---------------------------------
==>

VicktorS2 commented on 2017-02-11 02:42

Error to install. The previous version appears when installing by yaourt: http://imgur.com/a/TGfZG